%define name	zuluCrypt-nokde
%define oname	zuluCrypt
%define	srcname	zulucrypt
%define major 1
%define pluginmajor 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

Name: 		%{name}
Version: 	6.2.0
Release: 	%mkrel 1
Summary: 	Qt GUI front end to cryptsetup
Summary(de):	Qt GUi für cryptsetup
License:	GPLv2+
Group:		File tools
URL:		https://github.com/mhogomchungu/zuluCrypt/releases
Source:		%{oname}-%{version}.tar.xz
BuildRoot:	%{_topdir}/%{oname}-%{version}

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	qtcore5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtnetwork5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:	%{_lib}secret-devel
BuildRequires:	%{_lib}blkid-devel
BuildRequires:	%{_lib}tcplay-devel
BuildRequires:	%{_lib}cryptsetup-devel
BuildRequires:	%{_lib}pwquality-devel
Requires:	tc-play
#---------------------------------------
Obsoletes:	lib%{name}2_0_0
Obsoletes:	lib%{name}3_0_0
#---------------------------------------
Conflicts:	zuluCrypt
Conflicts:	%{_lib}zuluCrypt1
Conflicts:	%{_lib}zuluCrypt-devel
#---------------------------------------

%description
%{name} is a front end to cryptsetup.
It makes it easier to use cryptsetup by providing a Qt based GUI and a simpler 
to use cli front end to cryptsetup. It does the same thing truecrypt does but 
without licensing problems or requiring a user to setup sudo for it or presenting 
root's password. This package contains the applications.

%description -l de
%name ist ein Frontend für cryptsetup.
Es macht es einfacher cryptsetup zu nutzen, durch eine Qt basierte Benutzeroberfläche 
und ein einfacher zu nutzende Kommandozeilenschnittstelle. Außerdem kann es die 
selben Dinge wie truecrypt, ohne Lizenzprobleme oder das setup von sudo für die Benutzung 
oder die Eingabe des Administatorpassworts. Dieses Paket enthält das Programm an sich.


%prep
%setup -q -n %{oname}-%{version}

%build
mkdir build
pushd build
# dont replace cmake by macro it breaks the build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release -DNOKDE=true -DUDEVSUPPORT=true ..
%make
popd


%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

cat > %{buildroot}%{_datadir}/applications/%{oname}.desktop <<EOF
[Desktop Entry]
Comment=Gui wrapper for cryptsetup
Comment[de]=Gui für cryptsetup
Exec=%{oname}-gui
GenericName=Manage encypted volumes
GenericName[de]=Verwalte verschlüsselte Laufwerke
Icon=%{oname}
Name[en_US]=%{oname}
Name=%{oname}
NoDisplay=false
StartupNotify=true
Terminal=false
Type=Application
X-KDE-SubstituteUID=false
Categories=GTK;Qt;X-MandrivaLinux-System-FileTools;
EOF

rm -f %{buildroot}%{_datadir}/applications/zuluMount.desktop
cat > %{buildroot}%{_datadir}/applications/zuluMount.desktop <<EOF
[Desktop Entry]
Comment[de]=Partitionen einbinden
Comment[en_US]=
Comment=
Exec=zuluMount-gui
GenericName[de]=Partitionen einbinden
GenericName[en_US]=Partition mounter
GenericName=Partition mounter
Icon=zuluMount
MimeType=
Name[en_US]=zuluMount
Name=zuluMount
NoDisplay=false
Path=
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
X-DBUS-ServiceName=
X-DBUS-StartupType=
X-KDE-SubstituteUID=false
X-KDE-Username=
Categories=GTK;Qt;X-MandrivaLinux-System-FileTools;
EOF

# remove unwanted .la, .a files
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

# remove developement stuff
rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}%{_libdir}/lib%{oname}.so
rm -f %{buildroot}%{_libdir}/lib%{oname}-exe.so
rm -f %{buildroot}%{_libdir}/lib%{oname}PluginManager.so
rm -f %{buildroot}%{_libdir}/pkgconfig/lib%{oname}.pc


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}

%files 
%defattr(-,root,root)
%{_bindir}/%{oname}-gui
%{_bindir}/zuluMount-gui
%{_bindir}/zuluPolkit
%attr(4755,root,root)%{_bindir}/%{oname}-cli
%attr(4755,root,root)%{_bindir}/zuluMount-cli
%attr(0755,root,root)%{_bindir}/zuluSafe-cli
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/applications/zuluMount.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/zulu*.png
%{_datadir}/mime/packages/%{oname}.xml
%{_datadir}/polkit-1/actions/org.zulucrypt.zulupolkit.policy
%{_mandir}/man1/*
%{_docdir}/%{oname}/%{oname}.pdf
%{_datadir}/%{oname}/translations/%{oname}-gui/*.qm
%{_datadir}/%{oname}/translations/zuluMount-gui/*.qm
%{_libdir}/lib%{oname}.so.%{major}*
%{_libdir}/lib%{oname}-exe.so.%{major}*
%{_libdir}/lib%{oname}PluginManager.so.%{pluginmajor}*
%{_libdir}/%{oname}/gpg
%{_libdir}/%{oname}/hmac
%{_libdir}/%{oname}/keykeyfile
%{_libdir}/%{oname}/steghide
%{_libdir}/%{oname}/tomb
%attr(755, root, root)%{_libdir}/zuluCrypt/keyring
%attr(755, root, root)%{_libdir}/zuluCrypt/keydialog-qt
%attr(755, root, root)%{_libdir}/zuluCrypt/zuluCrypt-testKey


%changelog
* Sat Aug 27 2022 tex - 6.2.0-1pclos2022
- new version

* Sat Jan 22 2022 tex - 6.0.0-2pclos2022
- rebuild against updates

* Sun Jan 31 2021 pp <pp> 6.0.0-1pclos2021
- update

* Tue Feb 02 2020 pp <pp> 5.7.1-1pclos2020
- update

* Mon Aug 19 2019 pp <pp> 5.6.0-1pclos2019
- update

* Mon Mar 26 2018 ghostbunny <ghostbunny at gmx dot de> 5.4.0-2pclos2018
- rebuild against new cryptsetup version
- remove qt4 BR and add qt5 BRs

* Mon Nov 20 2017 pp <pp> 5.4.0-1pclos2017
- update

* Sun Jul 09 2017 pp <pp> 5.2.0-1pclos2017
- update

* Wed May 03 2017 ghostbunny <ghostbunny at gmx dot de> 5.1.0-2pclos2017
- rebuild against new libgcrypt

* Thu Jan 05 2017 pp <pp> 5.1.0-1pclos2017
- update

* Sun May 01 2016 woodhead <pp> 5.0.0-1pclos2016
- update

* Tue Mar 15 2016 bb <bb> 4.9.0-1pclos2016
- create nokde package
